Search Over 30,000 FREE Plugins from the Official WordPress Plugin Directory Repository

Restrict New Users by Domain

Whitelist or Blacklist email domains used for new user registration.

Restrict New Users by Domain makes it easy to whitelist or blacklist email domains that new users can use when registering. If using the whitelist, only new users who enter an email domain on the whitelist will be allowed to create an account. If using the blacklist, a user who enters an email domain on the blacklist will not be allowed to register. This plugin is NOT multisite compatible.

Features

  • Easy to use settings page for adding domains
  • No limit on domains to restrict
  • Customize the error message for restricted domains
  • Uses built in WordPress actions, no CSS or JS

THIS PLUGIN DOES NOT WORK WITH MULTISITE

Author Michael Markoski
Profile
Contributors exportsmedia
Tags new users, restrict, restrict domain, restrict email, sign up
  1. Upload the plugin files to the /wp-content/plugins/restrict-new-users-by-domain directory, or install the plugin through the WordPress plugins screen directly.
  2. Activate the plugin through the 'Plugins' screen in WordPress

1.0

  • Initial Release

Can I use both the Whitelist and the Blacklist

No. Only one can be used. If both lists have domains saved in them, then only the whitelist will be used.

Can I change the default error message

Yes. You can customize the error message on the settings page.

Does this plugin work with Multisite

No. Multisite already has this ability built in. You do not need this plugin if you are running a multisite.

Other Notes

Restrict New Users by Domain makes it easy to whitelist or blacklist email domains that new users can use when registering. If using the whitelist, only new users who enter an email domain on the whitelist will be allowed to create an account. If using the blacklist, a user who enters an email domain on the blacklist will not be allowed to register.

Share  
Download
Version 1.0

Requires WordPress version: 4.6 or higher

Compatible up to: 4.7.2

Last Updated 29 Jan 2017

Date Added: 29 Jan 2017

Plugin Homepage

Evaluation
star1
star2
star3
star4
star5

0 stars
0 ratings
19 downloads

Compatibility

Not Enough Data

Reports:
Works: 0
Broken: 0